
module Soar
  module Registry
    module Identity
      class Directory

        attr_reader :directory, :fetch_index, :search_index

        # @param [Soar::Registry::Directory] directory
        # @param [String, Array] fetch_index
        # @param [String, Array] search_index
        def initialize(directory:, fetch_index:, search_index:)
          @directory = directory
          @fetch_index = fetch_index
          @search_index = search_index
        end

      end
    end
  end
end
